%define module_name MojoX-JSONRPC2-HTTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(JSON/RPC2.pm) perl(JSON/RPC2/Client.pm) perl(JSON/RPC2/Server.pm) perl(JSON/XS.pm) perl(Module/Build/Tiny.pm) perl(Mojo/Base.pm) perl(Mojo/UserAgent.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/JSONRPC2.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.1
Release: alt1
Summary: Client for JSON RPC 2.0 over HTTP
Group: Development/Perl
License: mit
URL: https://github.com/powerman/perl-MojoX-JSONRPC2-HTTP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POWERMAN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Provide HTTP transport for JSON RPC 2.0 using Mojo::UserAgent.

Implements this spec: http://www.simple-is-better.org/json-rpc/transport_http.html.
The "pipelined Requests/Responses" is not supported yet.
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*

%changelog
* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1
- regenerated from template by package builder

* Mon Dec 29 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1
- regenerated from template by package builder

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1
- initial import by package builder

